=== modified file 'NEWS'
--- NEWS	2008-04-25 19:41:23 +0000
+++ NEWS	2008-04-25 19:48:06 +0000
@@ -28,6 +28,9 @@
 
   * Add compare with option to revisions menu. (Javier Derderian)
 
+  * Register file handler for applying patches/bundles to Bazaar branches.
+    (Jelmer Vernooij)
+
  BUG FIXES
 
   * Make adding tags from the viz work again. (Daniel Schierbeck)

=== added file 'bzr-gtk.applications'
--- bzr-gtk.applications	1970-01-01 00:00:00 +0000
+++ bzr-gtk.applications	2008-04-02 18:01:18 +0000
@@ -0,0 +1,7 @@
+bzr-gtk-patch
+	command="bzr handle-patch"
+	name=Bazaar
+	can_open_multiple_files=false
+	expects_uris=false
+	requires_terminal=false
+	mime_types=text/x-diff,text/x-patch,application/x-bazaar-merge-directive

=== added file 'bzr-handle-patch.desktop'
--- bzr-handle-patch.desktop	1970-01-01 00:00:00 +0000
+++ bzr-handle-patch.desktop	2008-04-02 18:21:29 +0000
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Bazaar
+Comment=Apply Bazaar Bundle
+Icon=bazaar
+Exec=bzr ghandle-patch %f
+NoDisplay=true
+Terminal=false
+Type=Application
+Categories=
+MimeType=text/x-diff;text/x-patch;application/x-bazaar-merge-directive;

=== modified file 'setup.py'
--- setup.py	2008-04-11 00:25:00 +0000
+++ setup.py	2008-04-25 19:48:06 +0000
@@ -136,7 +136,9 @@
                                  'icons/bzr-icon-64.png']),
                 ('share/applications', ['olive-gtk.desktop',
                                         'bazaar-properties.desktop',
+                                        'bzr-handle-patch.desktop',
                                         'bzr-notify.desktop']),
+                ('share/application-registry', ['bzr-gtk.applications']),
                 ('share/pixmaps', ['icons/olive-gtk.png', 'icons/bzr-icon-64.png']),
                 ('share/icons/hicolor/scalable/emblems', 
                     ['icons/emblem-bzr-added.svg', 

